<script setup>
import { computed, ref } from "vue";
import { useStore } from "vuex";
import { mdiCheckDecagram } from "@mdi/js";
import Level from "@/components/Level.vue";
import UserAvatar from "@/components/UserAvatar.vue";
import ProfileCard from "@/components/ProfileCard.vue";
import CheckRadioPicker from "@/components/CheckRadioPicker.vue";
import Pill from "@/components/Pill.vue";

const store = useStore();

const userName = computed(() => store.state.userName);

const userSwitchVal = ref([]);
</script>

<template>
  <profile-card>
    <level type="justify-left">
      <user-avatar class="justify-left w-28 h-28 items-left" />
      <div class="space-y-3 text-center md:text-left lg:mx-12">
        <div class="flex justify-center md:block">
          <pill
            text="Add Logo"
            class="bg-pink-250 text-white text-xs rounded-full cursor-pointer px-4 shadow-lg"
          />
        </div>
      </div>
    </level>
  </profile-card>
</template>
